Fibre Channel (SAN)

Reply
New Contributor
Posts: 3
Registered: ‎09-08-2013

Issues with software upgrade

Hi team,

Appreciate your help here as I am not able to upgrade 6510 switch to latest software version

We are running currently on v7.0.0a

Brocade6510_117:admin> firmwareshow
Appl     Primary/Secondary Versions
------------------------------------------
FOS      v7.0.0a
         v7.0.0a

When tried to do upgrade to v7.1.0c
=========================================================================
Brocade6510_117:admin> firmwareDownload
Server Name or IP Address: 72.163.209.213
User Name: guest
File Name: ./v7.1.0c/v7.1.0c
Network Protocol(1-auto-select, 2-FTP, 3-SCP, 4-SFTP) : 2
Password:
Server IP: 72.163.209.213, Protocol IPv4
Checking system settings for firmwaredownload...

The following item(s) need to be addressed before downloading the specified firmware:
Cannot downgrade to 6.2 or lower. Please downgrade to 6.3 first and then download the desired firmware version.

Valued Contributor
Posts: 931
Registered: ‎12-30-2009

Re: Issues with software upgrade

You want to upgrade but

this

Cannot downgrade to 6.2 or lower. Please downgrade to 6.3 first and then download the desired firmware version.

errors tells you, you're trying to downgrade although you specified a path

./v7.1.0c/v7.1.0c

with a higher FW level in the name.

So my first tought, are you absolutely sure that the supplied path (./v7.1.0c/v7.1.0c) actually contains the FW level you expect it to be?

Put differently, did you check if it accidentally contains the FW 6.2 or lower?

New Contributor
Posts: 3
Registered: ‎09-08-2013

Re: Issues with software upgrade

Hello Dion,

Thanks lot  for your reply!

I downloaded image directly from mybrocade.com. Is there a way to understand the firmware version checking the folders in v7.1.0c?

Thanks you,

Cijo Ceazer.

Valued Contributor
Posts: 931
Registered: ‎12-30-2009

Re: Issues with software upgrade

I've looked in 7.1.1 so maybe 7.1.0c is slightly different

In each SWDB### subdirectory should be a version.conf file and/or v7.1.1 file and/or a release.xml file

The ### indicates the switch type

Version.conf should contain the version and build you're using.

I'm not sure this is a foolproof method, but should it state something like v.6.0.1a build whatever you at least have an indication of what's happening.

If it's the right version, check if your FTP config isn't pointing to the wrong (virtual) folders.

If you want to be absolutely sure, setup a FTP server from scratch, download your package again to the new FTP server, retry your upgrade

New Contributor
Posts: 3
Registered: ‎09-08-2013

Re: Issues with software upgrade

Hello Dion,

Here is the output from version.conf

Name    CFOS
SWBD    21
Version    7.1.0
Build    0416131051
Release    c

# list of former compatibile versions to FABOS

#

#     typebase   compatibiles
#     --------   ------------

# The literals between the '@' signs get substituted during make, so

# the number of characters in a line is actually much smaller.

Firmware CFOS=21 VCOMP=5.3,5.2,5.1

I have only one folder in the FTP location which is V7.1.0c. Not sure where the problem is.

Thanks,
Cijo Ceazer.

N/A
Posts: 1
Registered: ‎01-26-2006

Re: Issues with software upgrade

Hi,

i face similar issue.

May i ask if there is a solution available?

regards

Gustav

New Contributor
Posts: 2
Registered: ‎09-12-2013

Re: Issues with software upgrade

I'm facing the same issue on two Brocade 300 series switches.  I can upgrade from v7.0.1a and v7.0.1b respectively to v7.0.2d but I can't go past that.  I've tried to go to v7.1.0, v7.1.0a, and v7.2.0a with the same message. 

Valued Contributor
Posts: 761
Registered: ‎06-11-2010

Re: Issues with software upgrade

Hi all,

It seem that this behavior matchs Brocade defect 000441306

Defect ID: 000441306Service Request ID:
Technical Severity: MediumProbability: Medium
Feature: FOS-InfrastructureFunction: Firmware Download
Found In: FOS7.0.1Fixed In: FOS7.1.0b, FOS7.2.0, FOS7.1.1
Summary:
Firmwaredownload failed due to a missing or invalid firmware signature.
Symptom:
Firmwaredownload may fail with the message "missing or invalid firmware signature"
Workaround:

Please try to upgrade to 7.1.0b, 7.1.1 or 7.2.0 and  let us know how it goes.

Kind regards,

Felipon

New Contributor
Posts: 2
Registered: ‎09-12-2013

Re: Issues with software upgrade

That did it for me.  I was able to go from v7.0.2d --> v7.1.0c --> v7.2.0a

Thanks!

Super Contributor
Posts: 445
Registered: ‎04-08-2009

Re: Issues with software upgrade

Great info felipon!  Thank you for sharing sir!

Regards,

Mike Eversole
Brocade Community Manager

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.